Bug 1551039 (CVE-2018-7584) - CVE-2018-7584 php: Stack-based buffer under-read in php_stream_url_wrap_http_ex() in http_fopen_wrapper.c when parsing HTTP response
Summary: CVE-2018-7584 php: Stack-based buffer under-read in php_stream_url_wrap_http_...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7584
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1552941 1552944 1551040 1551041 1552940 1552942 1552943
Blocks: 1551043
TreeView+ depends on / blocked
 
Reported: 2018-03-02 15:55 UTC by Adam Mariš
Modified: 2019-09-29 14:34 UTC (History)
12 users (show)

Fixed In Version: php 5.6.34, php 7.0.28, php 7.1.15, php 7.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 08:47:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2519 None None None 2019-08-19 08:41:02 UTC

Description Adam Mariš 2018-03-02 15:55:06 UTC
In PHP through 5.6.33, 7.0.x before 7.0.28, 7.1.x through 7.1.14, and 7.2.x through 7.2.2, there is a stack-based buffer under-read while parsing an HTTP response in the php_stream_url_wrap_http_ex function in ext/standard/http_fopen_wrapper.c. This subsequently results in copying a large string. 

Upstream bug:

https://bugs.php.net/bug.php?id=75981

Upstream patch:

https://github.com/php/php-src/commit/523f230c831d7b33353203fa34aee4e92ac12bba

Comment 1 Adam Mariš 2018-03-02 15:55:28 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1551040]

Comment 16 errata-xmlrpc 2019-08-19 08:41:01 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:2519 https://access.redhat.com/errata/RHSA-2019:2519

Comment 17 Product Security DevOps Team 2019-08-19 08:47:05 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-7584


Note You need to log in before you can comment on or make changes to this bug.